<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel pid="filter#{assertion.index}">
        <f:facet name="header">
            <s:div id="panelTitle">
                <h:outputText value="#{assertion.filterType.label}" rendered="#{not assertion.includeInNot}"/>
                <h:outputText value="not(#{assertion.filterType.label})" rendered="#{assertion.includeInNot}"/>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.hpd.RemoveThisFilter']}" id="unsetRule"
                                 rendered="#{parent == null}" immediate="true" render="filterConfigPanel, buttons"
                                 actionListener="#{providerInformationConsumer.resetFilter(currentRequest)}">
                    <s:span styleClass="gzl-icon-trash-o pull-right"/>
                </a4j:commandLink>
                <a4j:commandLink title="#{messages['net.ihe.gazelle.hpd.RemoveThisFilter']}" id="removeRule"
                                 rendered="#{parent != null}" immediate="true" render="filterConfigPanel, buttons"
                                 actionListener="#{providerInformationConsumer.removeFilter(parent, assertion)}">
                    <s:span styleClass="gzl-icon-trash-o pull-right"/>
                </a4j:commandLink>
            </s:div>
        </f:facet>
        <s:div styleClass="form-horizontal" id="not_#{assertion.index}">
            <s:decorate template="/layout/form/_checkbox.xhtml">
                <h:selectBooleanCheckbox value="#{assertion.includeInNot}">
                    <a4j:ajax render="panelTitle" event="change"/>
                </h:selectBooleanCheckbox>
                not
            </s:decorate>
        </s:div>
        <br/>
        <ui:insert name="assertionDetails"/>
    </gri:panel>
</ui:composition>